Skip to content
Start here

List bots

GET/radar/bots

Retrieves a list of bots.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
botCategory: optional "SEARCH_ENGINE_CRAWLER" or "SEARCH_ENGINE_OPTIMIZATION" or "MONITORING_AND_ANALYTICS" or 13 more

Filters results by bot category.

One of the following:
"SEARCH_ENGINE_CRAWLER"
"SEARCH_ENGINE_OPTIMIZATION"
"MONITORING_AND_ANALYTICS"
"ADVERTISING_AND_MARKETING"
"SOCIAL_MEDIA_MARKETING"
"PAGE_PREVIEW"
"ACADEMIC_RESEARCH"
"SECURITY"
"ACCESSIBILITY"
"WEBHOOKS"
"FEED_FETCHER"
"AI_CRAWLER"
"AGGREGATOR"
"AI_ASSISTANT"
"AI_SEARCH"
"ARCHIVER"
botOperator: optional string

Filters results by bot operator.

maxLength100
botVerificationStatus: optional "VERIFIED"

Filters results by bot verification status.

format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
kind: optional "AGENT" or "BOT"

Filters results by bot kind.

One of the following:
"AGENT"
"BOT"
limit: optional number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
offset: optional number

Skips the specified number of objects before fetching the results.

minimum0
ReturnsExpand Collapse
result: { bots }
bots: array of { category, description, kind, 4 more }
category: string

The category of the bot.

description: string

A summary for the bot (e.g., purpose).

kind: string

The kind of the bot.

name: string

The name of the bot.

operator: string

The organization that owns and operates the bot.

slug: string

A kebab-case identifier derived from the bot name.

userAgentPatterns: array of string
success: boolean

List bots

curl https://api.cloudflare.com/client/v4/radar/bots \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "bots": [
      {
        "category": "AI_CRAWLER",
        "description": "OpenAI/ChatGPT's web crawler",
        "kind": "AGENT",
        "name": "GPTBot",
        "operator": "OpenAI",
        "slug": "gptbot",
        "userAgentPatterns": [
          "GPTBot"
        ]
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "bots": [
      {
        "category": "AI_CRAWLER",
        "description": "OpenAI/ChatGPT's web crawler",
        "kind": "AGENT",
        "name": "GPTBot",
        "operator": "OpenAI",
        "slug": "gptbot",
        "userAgentPatterns": [
          "GPTBot"
        ]
      }
    ]
  },
  "success": true
}